Subject: Re: [PATCH 1/3] gitweb: Whitespace cleanup: realign, reindent

From: Andreas Ericsson <[email-masked]>
Date: Wed, 23 Aug 2006 11:07:04 +0200

Jakub Narebski wrote:
> Junio C Hamano wrote:
> 
>> Jakub Narebski <[email-masked]> writes:
>>
>>> This patch tries (but no too hard) to fit gitweb source in 80 columns,
>>> for 2 columns wide tabs, and indent and align source for better
>>> readibility.
>> If you are doing the wrapping, which I think is a good idea, I
>> do not think you should target for an oddball setting.  Where
>> did you get the idea of 2-column tabs?
> 
> So what is the default? 5-column tabs? 8-column tabs? And to what width?
> 80-column wide? 120-column wide?
> 
> I use 2-column tabs to have code not too wide; minimal sensible width.

Default is 8-column tabs. BSD folks use (used?) 4 column tabs by 
default. I've never seen 2 column tabs, although GNU does 2-step 
indentation (they use spaces though, not tabs).

-- 
Andreas Ericsson                   [email-masked]
OP5 AB                             www.op5.se
Tel: +46 8-230225                  Fax: +46 8-230231